org.apache.ignite.internal.processors.cluster

## Class BaselineAdjustForbiddenException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ignite.IgniteException
        - - org.apache.ignite.internal.processors.cluster.BaselineAdjustForbiddenException

All Implemented Interfaces:
  Serializable

    public class BaselineAdjustForbiddenException
    extends IgniteException

Exception which would be throw during force changing baseline if cluster has incorrect configuration.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`BaselineAdjustForbiddenException(boolean isBaselneAutoAdjustEnabled)`

### Method Summary

### Methods inherited from class org.apache.ignite.IgniteException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BaselineAdjustForbiddenException

    public BaselineAdjustForbiddenException(boolean isBaselneAutoAdjustEnabled)

Parameters:
  `isBaselneAutoAdjustEnabled` - `true` if baseline auto-adjust enabled.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021